package cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[数据范围]
 */
public class UserRoleDataScope implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 数据范围标识
     */
    private String userRoleDataScopeId;

    @JsonIgnore
    private boolean userRoleDataScopeIdDirtyFlag;
    
    /**
     * 数据范围名称
     */
    private String userRoleDataScopeName;

    @JsonIgnore
    private boolean userRoleDataScopeNameDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 是否启用
     */
    private Integer enable;

    @JsonIgnore
    private boolean enableDirtyFlag;
    
    /**
     * 数据对象能力标识
     */
    private String userRoleDataId;

    @JsonIgnore
    private boolean userRoleDataIdDirtyFlag;
    

    /**
     * 获取 [数据范围标识]
     */
    @JsonProperty("userroledatascopeid")
    public String getUserRoleDataScopeId(){
        return this.userRoleDataScopeId ;
    }

    /**
     * 设置 [数据范围标识]
     */
    @JsonProperty("userroledatascopeid")
    public void setUserRoleDataScopeId(String  userRoleDataScopeId){
        this.userRoleDataScopeId = userRoleDataScopeId ;
        this.userRoleDataScopeIdDirtyFlag = true ;
    }

    /**
     * 获取 [数据范围标识]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleDataScopeIdDirtyFlag(){
        return this.userRoleDataScopeIdDirtyFlag ;
    }

    /**
     * 获取 [数据范围名称]
     */
    @JsonProperty("userroledatascopename")
    public String getUserRoleDataScopeName(){
        return this.userRoleDataScopeName ;
    }

    /**
     * 设置 [数据范围名称]
     */
    @JsonProperty("userroledatascopename")
    public void setUserRoleDataScopeName(String  userRoleDataScopeName){
        this.userRoleDataScopeName = userRoleDataScopeName ;
        this.userRoleDataScopeNameDirtyFlag = true ;
    }

    /**
     * 获取 [数据范围名称]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleDataScopeNameDirtyFlag(){
        return this.userRoleDataScopeNameDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    public void setEnable(Integer  enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

    /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }

    /**
     * 获取 [数据对象能力标识]
     */
    @JsonProperty("userroledataid")
    public String getUserRoleDataId(){
        return this.userRoleDataId ;
    }

    /**
     * 设置 [数据对象能力标识]
     */
    @JsonProperty("userroledataid")
    public void setUserRoleDataId(String  userRoleDataId){
        this.userRoleDataId = userRoleDataId ;
        this.userRoleDataIdDirtyFlag = true ;
    }

    /**
     * 获取 [数据对象能力标识]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleDataIdDirtyFlag(){
        return this.userRoleDataIdDirtyFlag ;
    }



}
